Name:    ash
Summary: A smaller version of the Bourne shell.
Version: 0.3.8
Release: 5mdk
License: BSD
Group:   Shells
Url:	 ftp://ftp.debian.org/debian/pool/main/a/ash/
Source:  ftp://ftp.debian.org/debian/pool/main/a/ash/%{name}_%version.orig.tar.bz2
Patch0:  ftp://ftp.debian.org/debian/pool/main/a/ash/%{name}_%version-32.diff.bz2
Patch2:  ash-0.3.8-tempfile.patch.bz2
Patch1:  ash-0.3.8-build.patch.bz2
Prereq:  coreutils grep rpm-helper >= 0.7
BuildRequires: glibc-static-devel
BuildPrereq: pmake >= 1.45 byacc
BuildRoot: %_tmppath/%name-buildroot
Conflicts: mkinitrd <= 1.7

%description
The ash shell is a clone of Berkeley's Bourne shell.  Ash
supports all of the standard sh shell commands, but is considerably
smaller than bash.  The ash shell lacks some features (for example,
command-line histories), but needs a lot less memory.

You should install ash if you need a lightweight shell with many of the
same capabilities as the bash shell.

%package static
Summary: A smaller version of the Bourne shell statically linked.
License: BSD
Group: Shells

%description static
The ash shell is a clone of Berkeley's Bourne shell.  Ash
supports all of the standard sh shell commands, but is considerably
smaller than bash.  The ash shell lacks some features (for example,
command-line histories), but needs a lot less memory.

You should install ash if you need a lightweight shell with many of the
same capabilities as the bash shell.

This version is statically compiled.

%prep
%setup -q -n ash-%version.orig
%patch0 -p1 -b .linux
%ifarch alpha
%patch1 -p1 -b .alpha
%endif
%patch2 -p1 -b .tempfile

chmod -R a+rX .

%build
chmod  u+x debian/bsdyacc
pmake sh CFLAGS="${RPM_OPT_FLAGS} \
    -DBSD=1 -DSMALL -D_GNU_SOURCE \
    -DGLOB_BROKEN -D__COPYRIGHT\(x\)= \
    -D__RCSID\(x\)= -D_DIAGASSERT\(x\)=" \
        YACC=`pwd`/debian/bsdyacc
mv sh sh.dynamic
		


pmake sh CFLAGS="${RPM_OPT_FLAGS} \
   -DBSD=1 -DSMALL -D_GNU_SOURCE \
   -DGLOB_BROKEN -D__COPYRIGHT\(x\)= \
   -D__RCSID\(x\)= -D_DIAGASSERT\(x\)=" \
       YACC=`pwd`/debian/bsdyacc LDFLAGS="-static"
mv sh sh.static

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -m 755 sh.dynamic $RPM_BUILD_ROOT/bin/ash
install -m 755 sh.static $RPM_BUILD_ROOT/bin/ash.static

install -m 644 sh.1 $RPM_BUILD_ROOT%{_mandir}/man1/ash.1
ln -s ash.1 $RPM_BUILD_ROOT%{_mandir}/man1/bsh.1
ln -s ash $RPM_BUILD_ROOT/bin/bsh


%post
/usr/share/rpm-helper/add-shell %name $1 /bin/ash
/usr/share/rpm-helper/add-shell %name $1 /bin/bsh

%postun
/usr/share/rpm-helper/del-shell %name $1 /bin/ash
/usr/share/rpm-helper/del-shell %name $1 /bin/bsh

%verifyscript
for i in ash bsh; do
	/usr/share/rpm-helper/del-shell %name $1 /bin/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/ash
/bin/bsh
%_mandir/man1/*

%files static
%defattr(-,root,root)
/bin/ash.static

%changelog
* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-5mdk
- fix buildrequires (fix #1494)

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-4mdk
- fix url

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-3mdk
- build release

* Tue Nov 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-2mdk
- sanitize for rpmlint
- remove useless prefix
- Prereq: rpm-helper >= 0.7
- use {add,del,verify}-shell
- requires s/fileutils/coreutils

* Mon Apr 22 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.3.8-1mdk
- Shamelessly rip from RH.
- Work around pmake problem (groff rule problem) for now.

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2-25mdk
- Sanity build for 8.1.

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-24mdk
- upgrade test.c to get at least [ -e ] evaluation.

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-23mdk
- Split -static package and classic.

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2-22mdk
- BM

* Wed Mar 22 2000 Daouda LO <daouda@mandrakesoft.com> 0.2-21mdk
- match new group architecture

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix bogosity with fd's > 0 (r).
- fix builtin echo to understand -n & -e at the same time (r).

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- correct download URL

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- build on glibc 2.1

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- updated to correct path on SunSITE.

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- made /bin/ash built shared
- added ash.static
- uses a buildroot and %attr

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- statically linked

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- fixed preinstall script to >> /etc/shells for bsh.
